Bug 523441 - LVM commands take a VERY long time (>40 min) to finish
Summary: LVM commands take a VERY long time (>40 min) to finish
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2
Version: 5.4
Hardware: All
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Milan Broz
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 515232
Blocks: 518493
TreeView+ depends on / blocked
 
Reported: 2009-09-15 14:07 UTC by RHEL Product and Program Management
Modified: 2016-04-26 13:52 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-05 07:18:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1476 normal SHIPPED_LIVE lvm2 bug-fix update 2009-10-05 07:18:41 UTC

Description RHEL Product and Program Management 2009-09-15 14:07:48 UTC
This bug has been copied from bug #515232 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 3 Milan Broz 2009-09-16 10:19:34 UTC
Patch in lvm2-2.02.46-8.el5_4.1.

Comment 6 errata-xmlrpc 2009-10-05 07:18:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1476.html

Comment 7 Ayal Baron 2009-10-15 16:36:29 UTC
what value should "prioritise_write_locks" be given?(In reply to comment #6)
> An advisory has been issued which should help the problem
> described in this bug report. This report is therefore being
> closed with a resolution of ERRATA. For more information
> on therefore solution and/or where to find the updated files,
> please follow the link below. You may reopen this bug report
> if the solution does not work for you.
> 
> http://rhn.redhat.com/errata/RHBA-2009-1476.html  

what value should "prioritise_write_locks = ?" be set to?

Comment 8 Milan Broz 2009-10-15 17:05:11 UTC
See comments directly in lvm.conf (0 - disable, 1 - enable):

    # Whenever there are competing read-only and read-write access requests for
    # a volume group's metadata, instead of always granting the read-only
    # requests immediately, delay them to allow the read-write requests to be
    # serviced.  Without this setting, write access may be stalled by a high
    # volume of read-only requests.
    # NB. This option only affects locking_type = 1 viz. local file-based
    # locking.
    prioritise_write_locks = 1

Comment 9 Alasdair Kergon 2009-10-15 17:52:26 UTC
It's enabled by default.  That option is there so that if unanticipated problems are discovered with the change it can be turned off without needing to revert the package update.


Note You need to log in before you can comment on or make changes to this bug.